function Main()
{
	var GetSaveLanguageTxt         = function()                  {return Main.prototype._GetSaveLanguageTxt_()};
	
	var GetHardwareData            = function(){return Main.prototype._GetHardwareData_()};
	var GetAccountSetting          = function(){return Main.prototype._GetAccountSetting_()};
	var GetLocalBrokerData         = function(){return Main.prototype._GetLocalBrokerData_()};
	//模組設定
	var GetRtuModuleSettingData    = function(){return Main.prototype._GetRtuModuleSettingData_()};
	var GetTcpModuleSettingData    = function(){return Main.prototype._GetTcpModuleSettingData_()};
	var GetAsciiModuleSettingData  = function(){return Main.prototype._GetAsciiModuleSettingData_()};
	var GetMqttModuleSettingData   = function(){return Main.prototype._GetMqttModuleSettingData_()};
	var GetEipModuleSettingData    = function(){return Main.prototype._GetEipModuleSettingData_()};
	var GetRegisterModuleSettingData    = function(){return Main.prototype._GetRegisterModuleSettingData_()};
	var GetModuleSettingData       = function(){return Main.prototype._GetModuleSettingData_()};
    var GetMqttGroupCloudSettingData    = function(){return Main.prototype._GetMqttGroupCloudSettingData_()};
    //轉換傳輸
	var GetModuleToOpcuaData = function(){return Main.prototype._GetModuleToOpcuaData_()};
	var GetModbusToMqttData = function(){return Main.prototype._GetModbusToMqttData_()};
	var GetEipToMqttData = function(){return Main.prototype._GetEipToMqttData_()};
	var GetModbusToMqttJsonData = function(){return Main.prototype._GetModbusToMqttJsonData_()};
	var GetConvertTransmissionData = function(){return Main.prototype._GetConvertTransmissionData_()};

	var GetIotPlatformSettingData  = function(){return Main.prototype._GetIotPlatformSettingData_()};
	var GetAdvancedFunctionData    = function(){return Main.prototype._GetAdvancedFunctionData_()};
	var GetLoggerSettingData       = function(){return Main.prototype._GetLoggerSettingData_()};

	var LoadLanguage              = function(){return Main.prototype._LoadLanguage_()};

	this.LoadHtml                  = function(DivId, HtmlPath){Main.prototype._LoadHtml_(DivId, HtmlPath)};

	this.AsynchronousInitializeGlobalVariables = function(){return Main.prototype._AsynchronousInitializeGlobalVariables_()};

	this.CheckLoginCredentials     = function(Result){Main.prototype._CheckLoginCredentials_(Result)};
	
	this.ShowMainUi                = function(){Main.prototype._ShowMainUi_()};
	this.CheckDefaultAccount       = function(){return Main.prototype._CheckDefaultAccount_()};
	this.ClickElement               = function(TopMenuId, LeftListId){Main.prototype._ClickElement_(TopMenuId, LeftListId)};
	this.DisableElement             = function(TopMenuId, LeftListId){Main.prototype._DisableElement_(TopMenuId, LeftListId)};
	this.ShowSystemInformation     = function(){Main.prototype._ShowSystemInformation_()};
	this.SignInConnection          = function(){Main.prototype._SignInConnection_()};

	var InitializeMainUi          = function(){Main.prototype._InitializeMainUi_()};
	//載入HTML
	var LoadLeftListHtml_Part1     = function(){Main.prototype._LoadLeftListHtml_Part1_()};
	var LoadLeftListHtml_Part2     = function(){Main.prototype._LoadLeftListHtml_Part2_()};
	var LoadDescriptionHtml_Part1 = function(){Main.prototype._LoadDescriptionHtml_Part1_()};
	var LoadDescriptionHtml_Part2 = function(){Main.prototype._LoadDescriptionHtml_Part2_()};
    var LoadVersion               = function(){Main.prototype._LoadVersion_()};

	var LoadCenterContentHtml_Part1 = function(){Main.prototype._LoadCenterContentHtml_Part1_()};
	var LoadCenterContentHtml_Part2 = function(){Main.prototype._LoadCenterContentHtml_Part2_()};
	var LoadCenterContentHtml_Part3 = function(){Main.prototype._LoadCenterContentHtml_Part3_()};
	var LoadCenterContentHtml_Part4 = function(){Main.prototype._LoadCenterContentHtml_Part4_()};
	var LoadCenterContentHtml_Part5 = function(){Main.prototype._LoadCenterContentHtml_Part5_()};
	var LoadCenterContentHtml_Part6 = function(){Main.prototype._LoadCenterContentHtml_Part5_()};
	var LoadCenterContentHtml_Part7 = function(){Main.prototype._LoadCenterContentHtml_Part7_()};


	var LoadMysqlConnectionLeftListHtml = function(){Main.prototype._LoadMysqlConnectionLeftListHtml_()};
	var LoadRtuToMysqlConnectionLeftListHtml = function(){Main.prototype._LoadRtuToMysqlConnectionLeftListHtml_()};
	var LoadTcpToMysqlConnectionLeftListHtml = function(){Main.prototype._LoadTcpToMysqlConnectionLeftListHtml_()};
	var LoadMqttToMysqlLeftListHtml = function(){Main.prototype._LoadMqttToMysqlLeftListHtml_()};
	var LoadMqttToMsSqlLeftListHtml = function(){Main.prototype._LoadMqttToMsSqlLeftListHtml_()};
	var LoadRegisterLeftListHtml = function(){Main.prototype._LoadRegisterLeftListHtml_()};
	var LoadRegisterToOpcuaHtml = function(){Main.prototype._LoadRegisterToOpcuaHtml_()};
	var LoadPathHtml = function(){Main.prototype._LoadPathHtml_()};
	this.StartMainLoad = function(){Main.prototype._StartMainLoad_()};
	var LoadHardwareInformation = function(){Main.prototype._LoadHardwareInformation_()};
}